XFuXMSample class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMSample Class Reference

`#include <XFuXMPlayer_internal.h>`

List of all members.

## Public Attributes

UINT8 | mVolume
| Volume (0..63).
UINT8 | mPan
| Panning (-128..+127).
INT8 | mFinetune
| Finetune (signed byte -128..+127).
INT8 | mRelativeNote
| Relative note number (signed byte).
void * | mOffset
| Sample address in memory.
UINT32 | mSize
| Sample size.
UINT8 | mLoopForward
| Forward loop.
UINT8 | mLoopPingpong
| Pingpong loop.
UINT32 | mLoopStart
| Sample loop start.
UINT32 | mLoopEnd
| Sample loop end.
UINT8 | m16Bit
| 16-bit sample flag.

## Member Data Documentation

UINT8 XFuXMSample::m16Bit

| 16-bit sample flag. Definition at line 222 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

INT8 XFuXMSample::mFinetune

| Finetune (signed byte -128..+127). Definition at line 211 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT32 XFuXMSample::mLoopEnd

| Sample loop end. Definition at line 220 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMSample::mLoopForward

| Forward loop. Definition at line 217 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMSample::mLoopPingpong

| Pingpong loop. Definition at line 218 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT32 XFuXMSample::mLoopStart

| Sample loop start. Definition at line 219 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

void* XFuXMSample::mOffset

| Sample address in memory. Definition at line 214 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), XFuXMPlayer::loadXM(), and XFuXMPlayer::~XFuXMPlayer().

UINT8 XFuXMSample::mPan

| Panning (-128..+127). Definition at line 210 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::loadXM().

INT8 XFuXMSample::mRelativeNote

| Relative note number (signed byte). Definition at line 212 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT32 XFuXMSample::mSize

| Sample size. Definition at line 215 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::loadXM().

UINT8 XFuXMSample::mVolume

| Volume (0..63). Definition at line 209 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::loadXM().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch